Subject: locking folders w/procmail

From: [email-masked] (James Cooper)
Date: 3 Jan 1996 18:08:48 GMT

I'm using procmail to sort my mail with pine, and it's working fine.  
However, as the procmail FAQ warns, I invalidate my INBOX if I delete a 
message from it while procmail is delivering a new piece of mail.  The 
FAQ advises implementing a file locking scheme, but then doesn't explain 
how.

Has anyone done this sucessfully?  My system is using NFS on IRIX 5.3, so 
I'm not sure if flock() works successfully in this environment.

Any help appreciated..

-- James

--
.........................................................................
                        James Paul Cooper * Pixel
                         MU College of Education
       [email-masked] - http://tiger.coe.missouri.edu/~pixel/
.........................................................................